# Creating a Workspace Invitation

Sends an invitation to a project.
To add participants to a project, they must first be invited. Users that already exist in Kantata OX will
automatically accept the invitation and be added to the project. If your account allows anyone to be invited
to projects, users that don't already exist will have the option to create an account. Otherwise, the invited
user must be a member of your account.
This endpoint has its own rate limit. See the [Knowledge Base](https://knowledge.kantata.com/hc/en-us/articles/9698066628123) for more information.
This endpoint returns structured Workspace Invitation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `workspace_invitations` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: POST /workspaces/{id}/invite
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Request fields (application/json):

  - `invitation` (object)

  - `invitation.full_name` (string, required)
    The name of the user to invite to the project. If the user does not already exist in Kantata OX, this will become their name on your account.

  - `invitation.email_address` (string, required)
    The email address to send the workspace invitation to.

  - `invitation.invitee_role` (string, required)
    The team to add the invited user to. Options are `maven` (i.e. consultant) and `buyer` (i.e. client).

  - `invitation.subject` (string)
    The subject of the invitation email. If not set, the default subject is used.

  - `invitation.message` (string)
    The message to include within the body of the invitation email. If not set, the default message is used.

## Response 200:

  - `200` (unknown)
    Workspace Invitation has been created.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `workspace_invitations` (object)

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden request

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404:

  - `404` (unknown)
    Page Not Found

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422:

  - `422` (unknown)
    Unprocessable Entity

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503:

  - `503` (unknown)
    Service is unavailable

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

